import { BaseSeeder } from '@adonisjs/lucid/seeders'
import UserSeeder from './user_seeder.js'
import ClienteSeeder from './cliente_seeder.js'
import ProdutoSeeder from './produto_seeder.js'
import TalhaoSeeder from './talhao_seeder.js'

export default class IndexSeeder extends BaseSeeder {
    private async seed(Seeder: { new(): BaseSeeder }) {
        await new Seeder().run()
    }

    async run() {
        await this.seed(UserSeeder)
        await this.seed(ClienteSeeder)
        await this.seed(ProdutoSeeder)
        await this.seed(TalhaoSeeder)
    }
}
